%file-name bsp11_6_3m.m
%Stabilittsbereich der Integrierverstrkung
%Beispiel 11.6-3

clf;
T   = 0.2;                       %Abtastzeit
KS = 2;                          %Verstrkung der Regelstrecke
T1 = 1;                          %Zeitkonstante der Regelstrecke
GS  = tf (KS,[1 2*T1 T1*T1]);    %Regelstreckenbertragungsfunktion
GHS = c2d (GS, T, 'zoh');        %z-bertragungsfunktion mit Halteglied
GR  = tf ([1*T  0],[1 -1], T);   %diskreter Integral-Regler, Backward-Euler,
                                 %Verstrkung KI = 1
GRHS = GR * GHS;                 %bertragungsfunktion des offenen Regelkreises

rlocus (GRHS)
%axis ([-4  2 -2.5 2.5])
axis ([-1.2  1.5 -1.2 1.2])
