%MATLAB Function-File pt2wu_162.m
%berschwingweite und Eigenkreisfrequenz fr PT2-Elemente
function[ue,we]=pt2wu_162(D,w0)
%Eingangsvariablen: D=Dmpfung, w0=Kennkreisfrequenz
sq=sqrt(1-D*D);
we=w0*sq;         %Eigenkreisfrequenz
ue=exp(-D*pi/sq); %berschwingweite