%MATLAB Script-File ortsk1_166.m
%Ortskurve fr PT1- und PT2-Element
w0=1; D=0.25;        %Parameter fr PT2-Element
numG1=1; denG1=[4 1];%Zhler- und Nennerpolynom PT1-El.
G1=tf(numG1,denG1);	 %G1(s)
numG2=w0^2; denG2=[1 2*D*w0 w0^2]; %Zhler- und
					 %Nennerpolynom PT2-El.
G2=tf(numG2,denG2);	 %G2(s)
clf
nyquist(G2)	    	 %Ortskurve fr PT2-Element 
hold on
nyquist(G1)    		 %Ortskurve fr PT1-Element
axis([-2,2,-2,2])    %manuelle Achsenskalierung
axis('equal')      	 %gleicher Skalierungsfaktor
text(0.1,-0.7,'\it{PT_{1}}') %Text einfgen
text(1.15,-1.7,'\it{PT_{2}}') %Text einfgen